Subject: Re: bug#61350: Eglot over Tramp freezes with large project

From: João Távora <[email-masked]>
Date: Wed, 15 Mar 2023 18:05:10 +0000

On Wed, Mar 15, 2023, 17:47 Stefan Monnier <[email-masked]> wrote:

> > It is an indication, that, if some processes accept output at the same
> > time, and this output runs through process filters, anything can happen.
>
> Yes, this is a fundamental problem in Emacs's handling of asynchronous
> execution.  We should really revisit this.
>

We could start by understanding exactly what is triggering this reentrancy.
AFAIU, we don't. If have a recipe to trigger is consistently, now we should
work backwards from there.

João